Name:           perl-XML-LibXML
Version:        2.0207
Release:        2
Epoch:          1
Summary:        Perl Binding for libxml2
License:        (GPL+ or Artistic) and MIT
URL:            https://metacpan.org/release/XML-LibXML
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/XML-LibXML-%{version}.tar.gz

BuildRequires:  coreutils, findutils, glibc-common, libxml2-devel
BuildRequires:  perl-interpreter, perl-devel, perl-generators, sed
BuildRequires:  perl(Config), perl(Cwd), perl(Devel::CheckLib), perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec), perl(lib), perl(strict), perl(Symbol), perl(vars), perl(warnings)
BuildRequires:  perl(base), perl(Carp), perl(constant), perl(Data::Dumper), perl(DynaLoader)
BuildRequires:  perl(Encode), perl(Exporter), perl(IO::File), perl(IO::Handle), perl(overload)
BuildRequires:  perl(parent), perl(Scalar::Util), perl(Tie::Hash), perl(XML::NamespaceSupport)
BuildRequires:  perl(XML::SAX::Base), perl(XML::SAX::DocumentLocator), perl(XML::SAX::Exception)
BuildRequires:  perl(Errno), perl(locale), perl(POSIX), perl(Test::More), perl(XML::SAX)
BuildRequires:  perl(XML::SAX::ParserFactory), perl(URI::file), perl(utf8), perl(Alien::Base::Wrapper)
BuildRequires:  perl(Alien::Libxml2)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)), perl-interpreter
Requires(preun):    perl-interpreter
Provides:       perl-XML-LibXML-Common = %{version}
Obsoletes:      perl-XML-LibXML-Common <= 0.13

%description
This module is Perl Binding for libxml2, which implements a Perl interface to
the GNOME libxml2 library. This module provides interfaces for parsing and
manipulating XML files and allows Perl programmers to use the highly capable
validating XML parser and the high performance DOM implementation.

%package_help

%prep
%autosetup -n XML-LibXML-%{version} -p1
chmod -x *.c
for i in Changes; do
  /usr/bin/iconv -f iso8859-1 -t utf-8 $i > $i.conv && /bin/mv -f $i.conv $i
done

sed -i -e '/^inc\// d' MANIFEST

%build
perl Makefile.PL SKIP_SAX_INSTALL=1 INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT NO_PACKLIST=1
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
chmod -R u+w $RPM_BUILD_ROOT/*

%check
THREAD_TEST=0 make test

%triggerin -- perl-XML-SAX
for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
  /usr/bin/perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" \
    2>/dev/null || :
done

%preun
if [ $1 -eq 0 ] ; then
  for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
    /usr/bin/perl -MXML::SAX -e "XML::SAX->remove_parser(q($p))->save_parsers()" \
      2>/dev/null || :
  done
fi

%files
%license LICENSE
%doc HACKING.txt README
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML

%files help
%{_mandir}/man*/*

%changelog
* Tue Oct 25 2022 jiangchuangang <jiangchuangang@huawei.com> - 1:2.0207-2
- use macros package_help

* Tue Dec 21 2021 yuanxin <yuanxin24@huawei.com> - 1:2.0207-1
- update version to 2.0207

* Wed Jul 22 2020 dingyue <dingyue5@huawei.com> - 1:2.0205-1
- bump to version 2.0205

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:2.0132-5
- Package init
